﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using AIOUSBNet;  // namespace exposes AIOUSB Class interface 

namespace Sample1
{
    public partial class Form5 : Form
    {

        public Form5()
        {
            InitializeComponent();
        }

        private void label4_Click(object sender, EventArgs e)
        {

        }

        private void button18_Click(object sender, EventArgs e)
        {
            if (button18.BackColor == Color.Yellow)
            {
                button18.BackColor = Color.LightGray;
            }
            else
            {
                button18.BackColor = Color.Yellow;
            }
        }

        private void button21_Click(object sender, EventArgs e)
        {

        }

        private void Form5_Load(object sender, EventArgs e)
        {

            // Display Software Version
            labelSoftware_Version.Text = global_variables.SOFTWARE_VERSION;


            // CONSOLE MANIFEST - Highline (default)
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,84874628FT28,501,84810967M38A,201,84793091FT29,301,84660808A28B,901,????????????,601,????????????,602,????????????,603,????????????,604,85116495M40P,601,846608188A28A,801,84798058FW80,1801,";

            // PARSE OUT THE CSN #
            global_variables.CSN = Manifest_Options.Text.Substring(28, 13);
            textBoxfrm5VIN.Text = global_variables.CSN;


            // **************************************************
            // **** CHECK GLOBAL VARIABLES FOR TEST RESULTS *****
            //***************************************************


            if (global_variables.CMIC.Contains("PASS"))
            {
                button13.BackColor = Color.Aquamarine; // CMIC - PASS
            }
            else
            {
                if (global_variables.CMIC.Contains("YELO"))
                {
                    button13.BackColor = Color.Orange; // CMIC - FAIL
                    global_variables.CMIC = "FAIL";
                }

                if (global_variables.CMIC.Contains("FAIL"))
                {
                    button13.BackColor = Color.Orange; // CMIC - FAIL
                    global_variables.CMIC = "FAIL";
                }
            }

           
            
            if (global_variables.MIC.Contains("PASS"))
            {
                button28.BackColor = Color.Aquamarine; // MIC - PASS
            }
            else
            {
                if (global_variables.MIC.Contains("YELO"))
                {
                    button28.BackColor = Color.Orange; // MIC - FAIL
                    global_variables.MIC = "FAIL";
                }

                if (global_variables.MIC.Contains("FAIL"))
                {
                    button28.BackColor = Color.Orange; // MIC - FAIL
                    global_variables.MIC = "FAIL";
                }
            }
            

            if (global_variables.ANCMIC.Contains("PASS"))
            {
                button5.BackColor = Color.Aquamarine; // ANCMIC - PASS
                Console.WriteLine("Button5 PASS");
            }
            else
            {
                if (global_variables.ANCMIC.Contains("YELO"))
                {
                    button5.BackColor = Color.Orange; // ANCMIC - FAIL
                    global_variables.ANCMIC = "FAIL";
                }

                if (global_variables.ANCMIC.Contains("FAIL"))
                {
                    button5.BackColor = Color.Orange; // ANCMIC - FAIL
                    global_variables.ANCMIC = "FAIL";
                }
            }




            if (global_variables.LAMP_H.Contains("PASS"))
            {
                button27.BackColor = Color.Aquamarine; // LAMP_H - PASS
            }
            else
            {
                if (global_variables.LAMP_H.Contains("YELO"))
                {
                    button27.BackColor = Color.Orange; // LAMP_H - FAIL
                    global_variables.LAMP_H = "FAIL";
                }

                if (global_variables.LAMP_H.Contains("FAIL"))
                {
                    button27.BackColor = Color.Orange; // LAMP_H - FAIL
                    global_variables.LAMP_H = "FAIL";
                }
            }

           
            
            if (global_variables.ECLAMP.Contains("PASS"))
            {
                button30.BackColor = Color.Aquamarine; // ECLAMP - PASS
            }
            else
            {
                if (global_variables.ECLAMP.Contains("YELO"))
                {
                    button30.BackColor = Color.Orange; // ECLAMP - FAIL
                    global_variables.ECLAMP = "FAIL";
                }

                if (global_variables.ECLAMP.Contains("FAIL"))
                {
                    button30.BackColor = Color.Orange; // ECLAMP - FAIL
                    global_variables.ECLAMP = "FAIL";
                }
            }

            
            
            
            if (global_variables.BCM.Contains("PASS"))
            {
                button18.BackColor = Color.Aquamarine; // BCM - PASS
            }
            else
            {
                if (global_variables.BCM.Contains("YELO"))
                {
                    button18.BackColor = Color.Orange; // BCM - FAIL
                    global_variables.BCM = "FAIL";
                }

                if (global_variables.BCM.Contains("FAIL"))
                {
                    button18.BackColor = Color.Orange; // BCM - FAIL
                    global_variables.BCM = "FAIL";
                }
            }



            if (global_variables.MIRROR.Contains("PASS"))
            {
                button20.BackColor = Color.Aquamarine; // MIRROR - PASS
            }
            else
            {
                if (global_variables.MIRROR.Contains("YELO"))
                {
                    button20.BackColor = Color.Orange; // MIRROR - FAIL
                    global_variables.MIRROR = "FAIL";
                }

                if (global_variables.MIRROR.Contains("FAIL"))
                {
                    button20.BackColor = Color.Orange; // MIRROR - FAIL
                    global_variables.MIRROR = "FAIL";
                }
            }




            if (global_variables.R2LAMPS.Contains("PASS"))
            {
                button22.BackColor = Color.Aquamarine; // R2LAMPS - PASS
            }
            else
            {
                if (global_variables.R2LAMPS.Contains("YELO"))
                {
                    button22.BackColor = Color.Orange; // R2LAMPS - FAIL
                    global_variables.R2LAMPS = "FAIL";
                }

                if (global_variables.R2LAMPS.Contains("FAIL"))
                {
                    button22.BackColor = Color.Orange; // R2LAMPS - FAIL
                    global_variables.R2LAMPS = "FAIL";
                }
            }


            if (global_variables.R2LAMPS2_H.Contains("PASS"))
            {
                button24.BackColor = Color.Aquamarine; // R2LAMPS2_H - PASS
            }
            else
            {
                if (global_variables.R2LAMPS2_H.Contains("YELO"))
                {
                    button24.BackColor = Color.Orange; // R2LAMPS2_H - FAIL
                    global_variables.R2LAMPS2_H = "FAIL";
                }

                if (global_variables.R2LAMPS2_H.Contains("FAIL"))
                {
                    button24.BackColor = Color.Orange; // R2LAMPS2_H - FAIL
                    global_variables.R2LAMPS2_H = "FAIL";
                }
            }

           
            
            
            if (global_variables.LSLAMP.Contains("PASS"))
            {
                button7.BackColor = Color.Aquamarine; // LSLAMP - PASS
            }
            else
            {
                if (global_variables.LSLAMP.Contains("YELO"))
                {
                    button7.BackColor = Color.Orange; // LSLAMP - FAIL
                    global_variables.LSLAMP = "FAIL";
                }

                if (global_variables.LSLAMP.Contains("FAIL"))
                {
                    button7.BackColor = Color.Orange; // LSLAMP - FAIL
                    global_variables.LSLAMP = "FAIL";
                }
            }




            if (global_variables.RSLAMP.Contains("PASS"))
            {
                button43.BackColor = Color.Aquamarine; // RSLAMP - PASS
            }
            else
            {
                if (global_variables.RSLAMP.Contains("YELO"))
                {
                    button43.BackColor = Color.Orange; // RSLAMP - FAIL
                    global_variables.RSLAMP = "FAIL";
                }

                if (global_variables.RSLAMP.Contains("FAIL"))
                {
                    button43.BackColor = Color.Orange; // RSLAMP - FAIL
                    global_variables.RSLAMP = "FAIL";
                }
            }



            if (global_variables.R2LAMPC.Contains("PASS"))
            {
                button31.BackColor = Color.Aquamarine; // R2LAMPC - PASS
            }
            else
            {
                if (global_variables.R2LAMPC.Contains("YELO"))
                {
                    button31.BackColor = Color.Orange; // R2LAMPC - FAIL
                    global_variables.R2LAMPC = "FAIL";
                }

                if (global_variables.R2LAMPC.Contains("FAIL"))
                {
                    button31.BackColor = Color.Orange; // R2LAMPC - FAIL
                    global_variables.R2LAMPC = "FAIL";
                }
            }


            if (global_variables.R2LAMPS2.Contains("PASS"))
            {
                button33.BackColor = Color.Aquamarine; // R2LAMPS2 - PASS
            }
            else
            {
                if (global_variables.R2LAMPS2.Contains("YELO"))
                {
                    button33.BackColor = Color.Orange; // R2LAMPS2 - FAIL
                    global_variables.R2LAMPS2 = "FAIL";
                }

                if (global_variables.R2LAMPS2.Contains("FAIL"))
                {
                    button33.BackColor = Color.Orange; // R2LAMPS2 - FAIL
                    global_variables.R2LAMPS2 = "FAIL";
                }
            }



            timer1.Start();


        }

        private void button3_Click(object sender, EventArgs e)
        {
            timer1.Stop();
            //Form4 frm4 = new Form4();
            global_variables.frm4.Show();
        }

        private void button13_Click(object sender, EventArgs e)// CMIC
        {

            global_variables.Manifest = "MANUAL ENTRY";

            if (button13.BackColor == Color.Yellow)
            {
                button13.BackColor = Color.LightGray;
                global_variables.CMIC = "GRAY";
            }
            else
            {
                button13.BackColor = Color.Yellow;
                global_variables.CMIC = "YELO";
            }

        }

        private void button28_Click(object sender, EventArgs e)// MIC
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button28.BackColor == Color.Yellow)
            {
                button28.BackColor = Color.LightGray;
                global_variables.MIC = "GRAY";
            }
            else
            {
                button28.BackColor = Color.Yellow;
                global_variables.MIC = "YELO";
            }
        }

        private void button5_Click(object sender, EventArgs e)//ANCMIC
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button5.BackColor == Color.Yellow)
            {
                button5.BackColor = Color.LightGray;
                global_variables.ANCMIC = "GRAY";
            }
            else
            {
                button5.BackColor = Color.Yellow;
                global_variables.ANCMIC = "YELO";
            }
        }

        private void button27_Click(object sender, EventArgs e)// LAMP_H
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button27.BackColor == Color.Yellow)
            {
                button27.BackColor = Color.LightGray;
                global_variables.LAMP_H = "GRAY";
            }
            else
            {
                button27.BackColor = Color.Yellow;
                global_variables.LAMP_H = "YELO";
            }
        }

        private void button30_Click(object sender, EventArgs e)// ECLAMP
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button30.BackColor == Color.Yellow)
            {
                button30.BackColor = Color.LightGray;
                global_variables.ECLAMP = "GRAY";
            }
            else
            {
                button30.BackColor = Color.Yellow;
                global_variables.ECLAMP = "YELO";
            }
        }

        private void button20_Click(object sender, EventArgs e)//MIRROR
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button20.BackColor == Color.Yellow)
            {
                button20.BackColor = Color.LightGray;
                global_variables.MIRROR = "GRAY";
            }
            else
            {
                button20.BackColor = Color.Yellow;
                global_variables.MIRROR = "YELO";
            }
        }

        private void button22_Click(object sender, EventArgs e)// R2LAMPS
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button22.BackColor == Color.Yellow)
            {
                button22.BackColor = Color.LightGray;
                global_variables.R2LAMPS = "GRAY";
            }
            else
            {
                button22.BackColor = Color.Yellow;
                global_variables.R2LAMPS = "YELO";
            }
        }

        private void button24_Click(object sender, EventArgs e)// R2LAMPS2_H
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button24.BackColor == Color.Yellow)
            {
                button24.BackColor = Color.LightGray;
                global_variables.R2LAMPS2_H = "GRAY";
            }
            else
            {
                button24.BackColor = Color.Yellow;
                global_variables.R2LAMPS2_H = "YELO";
            }
        }

        private void button7_Click(object sender, EventArgs e)// LSLAMP
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button7.BackColor == Color.Yellow)
            {
                button7.BackColor = Color.LightGray;
                global_variables.LSLAMP = "GRAY";
            }
            else
            {
                button7.BackColor = Color.Yellow;
                global_variables.LSLAMP = "YELO";
            }
        }

        private void button43_Click(object sender, EventArgs e)// RSLAMP
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button43.BackColor == Color.Yellow)
            {
                button43.BackColor = Color.LightGray;
                global_variables.RSLAMP = "GRAY";
            }
            else
            {
                button43.BackColor = Color.Yellow;
                global_variables.RSLAMP = "YELO";
            }
        }

        private void button31_Click(object sender, EventArgs e) // R2LAMPC
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button31.BackColor == Color.Yellow)
            {
                button31.BackColor = Color.LightGray;
                global_variables.R2LAMPC = "GRAY";
            }
            else
            {
                button31.BackColor = Color.Yellow;
                global_variables.R2LAMPC = "YELO";
            }
        }

        private void button33_Click(object sender, EventArgs e)// R2LAMPS2
        {
            global_variables.Manifest = "MANUAL ENTRY";

            if (button33.BackColor == Color.Yellow)
            {
                button33.BackColor = Color.LightGray;
                global_variables.R2LAMPS2 = "GRAY";
            }
            else
            {
                button33.BackColor = Color.Yellow;
                global_variables.R2LAMPS2 = "YELO";
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            global_variables.Manifest = "MANUAL ENTRY";

            button18.BackColor = Color.LightGray;
            button13.BackColor = Color.LightGray;
            button28.BackColor = Color.LightGray;
            button5.BackColor = Color.LightGray;
            button27.BackColor = Color.LightGray;
            button30.BackColor = Color.LightGray; 
            button20.BackColor = Color.LightGray;
            button22.BackColor = Color.LightGray;
            button24.BackColor = Color.LightGray;
            button7.BackColor = Color.LightGray;
            button43.BackColor = Color.LightGray;
            button31.BackColor = Color.LightGray;
            button33.BackColor = Color.LightGray;
        }

        private void buttonHighlineManifest_Click(object sender, EventArgs e)
        {

            // HEADLINER MANIFEST - Highline 
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,84874628FT28,501,84810967M38A,201,84793091FT29,301,84660808A28B,901,????????????,601,????????????,602,????????????,603,????????????,604,85116495M40P,601,846608188A28A,801,84798058FW80,1801,";

            // PARSE OUT THE CSN #
            global_variables.VIN = Manifest_Options.Text.Substring(28, 13);
            textBoxfrm5VIN.Text = global_variables.VIN;


            // ******************************************
            // ********* MOD codes per Option ***********
            // ******************************************

            if (Manifest_Options.Text.Contains(",201,")) // Search Manifest for Modcode <<<< 201 THROUGH 205 >>>> (Cell Phone MIC LEFT ??) ???????????????????
            {
                button13.BackColor = Color.Yellow;
            }
            else
            {
                button13.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",301,")) // Search Manifest for Modcode <<<< 301 through 307 >>>> (Other MIC RIGHT ??) ??????????????????????
            {
                button28.BackColor = Color.Yellow;
            }
            else
            {
                button28.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",601,")) // Search Manifest for Modcode (STOP LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button27.BackColor = Color.Yellow;
            }
            else
            {
                button27.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",602,")) // Search Manifest for Modcode (EXT. COURTESY LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button30.BackColor = Color.Yellow;
            }
            else
            {
                button30.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",603,")) // Search Manifest for Modcode (BCM LIN 5) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button18.BackColor = Color.Yellow;
            }
            else
            {
                button18.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",604,")) // Search Manifest for Modcode (DAY NIGHT MIRROR) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button20.BackColor = Color.Yellow;
            }
            else
            {
                button20.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH) ??????????????
            {
                button22.BackColor = Color.Yellow;
            }
            else
            {
                button22.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH 2) ??????????????
            {
                button24.BackColor = Color.Yellow;
            }
            else
            {
                button24.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",801,")) // Search Manifest for Modcode <<<< 801 TO 830 >>>> (LEFT SUNSHADE LAMP) ??????????????
            {
                button7.BackColor = Color.Yellow;
            }
            else
            {
                button7.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",901,")) // Search Manifest for Modcode <<<< 901 TO 930 >>>> (RIGHT SUNSHADE LAMP) ??????????????
            {
                button43.BackColor = Color.Yellow;
            }
            else
            {
                button43.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL) ??????????????
            {
                button31.BackColor = Color.Yellow;
            }
            else
            {
                button31.BackColor = Color.LightGray;
            }


            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL 2) ??????????????
            {
                button33.BackColor = Color.Yellow;
            }
            else
            {
                button33.BackColor = Color.LightGray;
            }



        }

        private void buttonMidlineManifest_Click(object sender, EventArgs e)
        {

            // CONSOLE MANIFEST - Midline 
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,84874628FT28,501,84660808A28B,901,????????????,601,????????????,602,????????????,603,????????????,604,85116495M40P,601,846608188A28A,801,";

            // PARSE OUT THE CSN #
            global_variables.VIN = Manifest_Options.Text.Substring(28, 13);
            textBoxfrm5VIN.Text = global_variables.VIN;


            // ******************************************
            // ********* MOD codes per Option ***********
            // ******************************************

            if (Manifest_Options.Text.Contains(",201,")) // Search Manifest for Modcode <<<< 201 THROUGH 205 >>>> (Cell Phone MIC LEFT ??) ???????????????????
            {
                button13.BackColor = Color.Yellow;
            }
            else
            {
                button13.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",301,")) // Search Manifest for Modcode <<<< 301 through 307 >>>> (Other MIC RIGHT ??) ??????????????????????
            {
                button28.BackColor = Color.Yellow;
            }
            else
            {
                button28.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",601,")) // Search Manifest for Modcode (STOP LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button27.BackColor = Color.Yellow;
            }
            else
            {
                button27.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",602,")) // Search Manifest for Modcode (EXT. COURTESY LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button30.BackColor = Color.Yellow;
            }
            else
            {
                button30.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",603,")) // Search Manifest for Modcode (BCM LIN 5) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button18.BackColor = Color.Yellow;
            }
            else
            {
                button18.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",604,")) // Search Manifest for Modcode (DAY NIGHT MIRROR) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button20.BackColor = Color.Yellow;
            }
            else
            {
                button20.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH) ??????????????
            {
                button22.BackColor = Color.Yellow;
            }
            else
            {
                button22.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH 2) ??????????????
            {
                button24.BackColor = Color.Yellow;
            }
            else
            {
                button24.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",801,")) // Search Manifest for Modcode <<<< 801 TO 830 >>>> (LEFT SUNSHADE LAMP) ??????????????
            {
                button7.BackColor = Color.Yellow;
            }
            else
            {
                button7.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",901,")) // Search Manifest for Modcode <<<< 901 TO 930 >>>> (RIGHT SUNSHADE LAMP) ??????????????
            {
                button43.BackColor = Color.Yellow;
            }
            else
            {
                button43.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL) ??????????????
            {
                button31.BackColor = Color.Yellow;
            }
            else
            {
                button31.BackColor = Color.LightGray;
            }


            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL 2) ??????????????
            {
                button33.BackColor = Color.Yellow;
            }
            else
            {
                button33.BackColor = Color.LightGray;
            }



        }

        private void buttonBaselineManifest_Click(object sender, EventArgs e)
        {

            // CONSOLE MANIFEST - Baseline (default)
            Manifest_Options.Text = ""; // Clear Screen
            Manifest_Options.Text = "0000000355149,103xxxxxxxxxx,0000004364960,????????????,601,????????????,602,????????????,603,";

            // PARSE OUT THE CSN #
            global_variables.VIN = Manifest_Options.Text.Substring(28, 13);
            textBoxfrm5VIN.Text = global_variables.VIN;


            // ******************************************
            // ********* MOD codes per Option ***********
            // ******************************************

            if (Manifest_Options.Text.Contains(",201,")) // Search Manifest for Modcode <<<< 201 THROUGH 205 >>>> (Cell Phone MIC LEFT ??) ???????????????????
            {
                button13.BackColor = Color.Yellow;
            }
            else
            {
                button13.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",301,")) // Search Manifest for Modcode <<<< 301 through 307 >>>> (Other MIC RIGHT ??) ??????????????????????
            {
                button28.BackColor = Color.Yellow;
            }
            else
            {
                button28.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",1801,")) // Search Manifest for Modcode (Noise Cancel MIC)
            {
                button5.BackColor = Color.Yellow;
            }
            else
            {
                button5.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",601,")) // Search Manifest for Modcode (STOP LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button27.BackColor = Color.Yellow;
            }
            else
            {
                button27.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",602,")) // Search Manifest for Modcode (EXT. COURTESY LAMP) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button30.BackColor = Color.Yellow;
            }
            else
            {
                button30.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",603,")) // Search Manifest for Modcode (BCM LIN 5) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button18.BackColor = Color.Yellow;
            }
            else
            {
                button18.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",604,")) // Search Manifest for Modcode (DAY NIGHT MIRROR) (HARNESS MOD CODE 601-630 ???) ???????????????????????
            {
                button20.BackColor = Color.Yellow;
            }
            else
            {
                button20.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH) ??????????????
            {
                button22.BackColor = Color.Yellow;
            }
            else
            {
                button22.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP SWITCH 2) ??????????????
            {
                button24.BackColor = Color.Yellow;
            }
            else
            {
                button24.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",801,")) // Search Manifest for Modcode <<<< 801 TO 830 >>>> (LEFT SUNSHADE LAMP) ??????????????
            {
                button7.BackColor = Color.Yellow;
            }
            else
            {
                button7.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",901,")) // Search Manifest for Modcode <<<< 901 TO 930 >>>> (RIGHT SUNSHADE LAMP) ??????????????
            {
                button43.BackColor = Color.Yellow;
            }
            else
            {
                button43.BackColor = Color.LightGray;
            }

            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL) ??????????????
            {
                button31.BackColor = Color.Yellow;
            }
            else
            {
                button31.BackColor = Color.LightGray;
            }


            if (Manifest_Options.Text.Contains(",501,")) // Search Manifest for Modcode <<<< 501 TO 510 >>>> (R2 DOME LAMP CONTROL 2) ??????????????
            {
                button33.BackColor = Color.Yellow;
            }
            else
            {
                button33.BackColor = Color.LightGray;
            }



        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            //if (global_variables.ANCMIC.Contains("PASS")) button5.BackColor = Color.Aquamarine;
            if (global_variables.ANCMIC.Contains("FAIL")) button5.BackColor = Color.Orange;
            //if (global_variables.CMIC.Contains("PASS")) button13.BackColor = Color.Aquamarine;
            if (global_variables.CMIC.Contains("FAIL")) button13.BackColor = Color.Orange;

                





            //************************************************************************
            //**************** Configure I/O for the main timer loop  ****************
            //************************************************************************

            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5; // Console 12Vdc Power Outlet Test on RFID card reader Block
            byte input6; // Console 5V USB Charge Test on RFID card reader Block
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(global_variables.diDIO, data);
            // AIOUSB.DIO_ReadAll(1, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;
            byte Console_12VdcPO = 1;
            byte Console_5vUSB = 1;

            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);
            bool Console5 = input5.Equals(Console_12VdcPO);
            bool Console6 = input6.Equals(Console_5vUSB);



            //******************************************************************
            //*************  Check for operator to connect the harness
            //*******************************************************************
            
            
            
            if ((Headliner1)&&(Headliner3)&&(Headliner4) || (Headliner2) && (Headliner3) && (Headliner4))


            {
                // ONE SHOT 

                if (textBoxOperatorPrompts.Text.Contains("Cycle Complete"))
                {
                    // DO NOTHING
                    //textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected\n\r" + "\n\r" + "\n\r";


                }
                else
                {
                    textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Complete\n\r" + "\n\r" + "\n\r";


                    // **************************************************************************************************************************
                    // ****************** Start the Console Test CYCLE COMPLETE Sequence *************************************************************
                    // **************************************************************************************************************************
                    //***************************************************************************************************************************
                    //***************************************************************************************************************************

                    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 1); // Deenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Denergize Sol #2   CONSOLE 55-way DRAW DOWN 

                    // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                    // AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Denergize SOL #1   CONSOLE 55-way LATCH 


                    //AIOUSB.DIO_Write1(global_variables.diDIO, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                    // AIOUSB.DIO_Write1(global_variables.diDIO, 9, 0);  // Turn ON SOL #1 HEADLINER LATCH BH#1 59-WAY

                    // Initialize all Outputs to the OFF State
                    AIOUSB.DIO_Write1(global_variables.diDIO, 6, 1);  // Deactivate TEST FAIL (Interlock)
                    AIOUSB.DIO_Write1(global_variables.diDIO, 7, 1);  // Deactivate TEST PASS (Interlock)
                    AIOUSB.DIO_Write1(global_variables.diDIO, 8, 1);  // Deactivate END OF CYCLE (Interlock)
                    AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
                    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
                    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
                    AIOUSB.DIO_Write1(global_variables.diDIO, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
                    AIOUSB.DIO_Write1(global_variables.diDIO, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3
                    AIOUSB.DIO_Write1(global_variables.diDIO, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet







                }

            }


            //if (Console1) // Console_PIP_55Way has been detected
                
            
            if ((Headliner1) && (Headliner2) && (Headliner3) && (Headliner4))

                {

                //******************************************************************
                //*************  Check for operator to reconnect the 55-way harness
                //*******************************************************************

                //    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 0); // Reenergize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                //    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 0); // Renergize Sol #2   CONSOLE 55-way DRAW DOWN 

                // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                //     AIOUSB.DIO_Write1(global_variables.diDIO, 9, 0);  // Renergize SOL #1   CONSOLE 55-way LATCH 


                //AIOUSB.DIO_Write1(global_variables.diDIO, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
                //AIOUSB.DIO_Write1(global_variables.diDIO, 9, 0);  // Turn ON SOL #1 HEADLINER LATCH BH#1 59-WAY




                ///  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "55-Way PIP detected";
                //  textBoxOperatorPrompts.Text = textBoxOperatorPrompts.Text + "Cycle Start";

                //timer1.Stop();
                ////Form3 frm3 = new Form3();
                //global_variables.frm3.Show();


            }























        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Stop();
            //Form4 frm4 = new Form4();
            global_variables.frm4.Show();
        }
    }
}
