﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Drawing.Printing;
using Microsoft.VisualBasic;
using System.Net;
using System.Runtime.InteropServices;
using System.Net.Sockets;
using System.Threading;
using System.Threading.Tasks;


using AIOUSBNet;  // namespace exposes AIOUSB Class interface 
using Sharp7;






// you must also add a reference to the AIOUSBNet.dll in the project
// The path should be C:\Windows\system32\AIOUSBNet.dll or the equivalent for your system


namespace Sample1
{


    public partial class Form3 : Form
    {

        [DllImport("user32.dll")]
        [return: MarshalAs(UnmanagedType.Bool)]
        static extern bool ShowWindowAsync(IntPtr hWnd, int nCmdShow);
        [DllImport("user32.dll")]
        [return: MarshalAs(UnmanagedType.Bool)]
        static extern bool ShowWindow(IntPtr hWnd, int nCmdShow);
        [DllImport("user32.dll")]
        [return: MarshalAs(UnmanagedType.Bool)]
        static extern bool SetWindowLongPtrA(IntPtr hWnd, int nIndex, IntPtr dwNewLong);
        [DllImport("user32.dll")]
        static extern IntPtr SetActiveWindow(IntPtr hWnd);
        [DllImport("user32.dll", EntryPoint = "SetWindowPos")]
        public static extern IntPtr SetWindowPos(IntPtr hWnd, int hWndInsertAfter, int x, int Y, int cx, int cy, int wFlags);
        
        Process ProcessProperties = new Process();

        int USBtest = 0;
        int CupholderUSBrfidRESULT = 0;
        int BodyUSBrfidRESULT = 0;
        int EndcapUSBrfidRESULT = 0;
        int CupholderUSBtestRESULT = 0;
        int BodyUSBtestRESULT = 0;
        int EndcapUSBtestRESULT = 0;
        private object openFileDialog1;
        public delegate void frm3Focus();
        public frm3Focus myDelegate;


        private S7Client Client = new S7Client();



        private Socket sock;
        Process p = new Process();

        public object TCPSocket { get; private set; }

        //private int foo = S7Consts.errCliNegotiatingPDU;

        TcpClient tcpclnt = new TcpClient();

        //Declare and Initialize the IP Adress
        IPAddress ipAd = IPAddress.Parse("10.11.51.222");

        //Declare and Initilize the Port Number;
        int PortNumber = 8888;

        //g System;

        public struct ComponentResult
        {
            public String SerialNumber; // Component Serial Number
            public int TestResult; // Result code 0:Unknown, 1:Good, 2:Scrap
            public double LeakDetected; // Leak value [cc/min]
            public DateTime TestDateTime; // Test Timestamp
        }








        public Form3()
        {
            InitializeComponent();

        }

        private void button3_Click(object sender, EventArgs e)
        {

        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e) // Connect 55-way Button Color on touch screen
        {


        }

        private void button1_Click(object sender, EventArgs e)
        {




        }

        private void button6_Click(object sender, EventArgs e)
        {

        }

        private void labelDrawDownCON55_Click(object sender, EventArgs e)
        {

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }



        private void buttonTESTendcapUSB_Click(object sender, EventArgs e)
        {

        }

        private void label3_Click(object sender, EventArgs e)
        {

        }

        private void label4_Click(object sender, EventArgs e)
        {

        }





        //**************************************************************
        //**********  Form 3 Load **************************************
        // *************************************************************

        private void Form3_Load(object sender, EventArgs e)
        {
            myDelegate = new Form3.frm3Focus(frm3FocusMethod);
            //*************************************************************
            // ***** PREMIUM MANIFEST FOR RED RABBIT TEST NOT FROM THE PLC
            //****** MUST REMOVE REMARKS FOR PRODUCTION
            //************************************************************



            // ONE SHOT 
            //         if (textBoxRESULTS.Text.Contains("Finished Read of PLC DB Manifest with Sharp7"))
            //         {
            // DO NOTHING

            //         }
            //        else
            //         {
            // *********************************************
            // *********** Read PLC DB Manifest with Sharp7
            // *********************************************

            //              int Rack = 0;
            //              int Slot = 0;
            //              int Good = 0;

            //              Client.ConnectTo("10.11.51.50", Rack, Slot);
            //              Client.Connect();

            //SetConnectionParams

            //              ComponentResult Result = new ComponentResult();
            //              byte[] Buffer = new byte[256];

            //              Client.DBRead(61, 0, 256, Buffer);
            //              string msg = System.Text.Encoding.ASCII.GetString(Buffer);

            //              textBoxRESULTS.Text += "\n";
            //              for (int iii = 0; iii < 256; ++iii)
            //              {
            //                  textBoxRESULTS.Text += Buffer[iii].ToString("x2") + ",";
            //             }
            //              textBoxRESULTS.Text += "\n";

            //              textBoxRESULTS.Text = textBoxRESULTS.Text + "Finished Read of PLC DB Manifest with Sharp7" + "\n\r" + "\n\r";

            // Extracts the fields and inserts them into the struct
            //  Result.SerialNumber = S7.GetCharsAt(Buffer, 0, 12);
            //  Result.TestResult = S7.GetIntAt(Buffer, 12);
            //  Result.LeakDetected = S7.GetRealAt(Buffer, 14);
            //  Result.TestDateTime = S7.GetDateTimeAt(Buffer, 18);


            //          }

            //*********************************************
            // ***** PREMIUM MANIFEST FOR RED RABBIT TEST
            //****** MUST REMARK OUT FOR PRODUCTION
            //********************************************

            // CONSOLE MANIFEST - Highline
            //textBoxRESULTS.Text = ""; // Clear Screen
            textBoxRESULTS.Text += "0000000355149,103xxxxxxxxxx,0000004364960,13525890FT12,1502,13529874FW86,3002,13529875FW85,4301,135619101FT06,402,13592451FT45,1302,85117464FT09,1101,84638621GO2A,2701,13592452FW74,3501,84952174FW83,4201,84786104FW68,3101,84960563M33V,3301,13537143M08L,2901,";



            // *******************************************************
            // ********* CONSOLE TEST MOD codes for USB test *********
            // *******************************************************

            if (textBoxRESULTS.Text.Contains(",4301,")) // Search Manifest for Modcode (Cupholder USB)
            {
                global_variables.CUPHOLDER_USB_SCAN = "YELO";
                global_variables.CUPHOLDER_USB_TEST = "YELO";
            }
            else
            {

                global_variables.CUPHOLDER_USB_SCAN = "GRAY";
                global_variables.CUPHOLDER_USB_TEST = "GRAY";

            }

            if (textBoxRESULTS.Text.Contains(",3002,")) // Search Manifest for Modcode (Body USB)
            {

                global_variables.BODY_USB_SCAN = "YELO";
                global_variables.BODY_USB_TEST = "YELO";

            }
            else
            {

                global_variables.BODY_USB_SCAN = "GRAY";
                global_variables.BODY_USB_TEST = "GRAY";

            }

            if (textBoxRESULTS.Text.Contains(",1502,")) // Search Manifest for Modcode (Endcap USB)
            {

                global_variables.ENDCAP_USB_SCAN = "YELO";
                global_variables.ENDCAP_USB_TEST = "YELO";

            }
            else
            {

                global_variables.ENDCAP_USB_SCAN = "GRAY";
                global_variables.ENDCAP_USB_TEST = "GRAY";

            }

            // *******************************************************
            // ********* CONSOLE TEST MOD codes **********************
            // *******************************************************


            if (textBoxRESULTS.Text.Contains(",3301,")) // Search Manifest for Modcode (EOCM)
            {

                global_variables.EOCM = "YELO";

            }
            else
            {

                global_variables.EOCM = "GRAY";

            }


            if (textBoxRESULTS.Text.Contains(",2901,")) // Search Manifest for Modcode (WCM - WIRELESS CHARGE MODULE)
            {

                global_variables.WCM = "YELO";

            }
            else
            {

                global_variables.WCM = "GRAY";

            }


            if (textBoxRESULTS.Text.Contains(",1101,")) // Search Manifest for Modcode (HEATED SEAT SW.)
            {

                global_variables.SEAT = "YELO";
            }
            else
            {

                global_variables.SEAT = "GRAY";
            }

            if (textBoxRESULTS.Text.Contains(",1302,")) // Search Manifest for Modcode (PEPS ANTENNA)
            {

                global_variables.PEPS = "YELO";
            }
            else
            {

                global_variables.PEPS = "GRAY";

            }

            if (textBoxRESULTS.Text.Contains(",2701,")) // Search Manifest for Modcode (SIB - SHIFT INTERFACE BOARD)
            {

                global_variables.SIB = "YELO";
            }
            else
            {

                global_variables.SIB = "GRAY";
            }

            if (textBoxRESULTS.Text.Contains(",4201,")) // Search Manifest for Modcode (TRAILER BRAKE SWITCH)
            {

                global_variables.TBS = "YELO";
            }
            else
            {

                global_variables.TBS = "GRAY";
            }

            if (textBoxRESULTS.Text.Contains(",402,")) // Search Manifest for Modcode (MAIN CONSOLE LAMP)
            {

                global_variables.LAMP = "YELO";
            }
            else
            {

                global_variables.LAMP = "GRAY";
            }

            if (textBoxRESULTS.Text.Contains(",3501,")) // Search Manifest for Modcode (IMMOBILIZER ANTENNA)
            {

                global_variables.IMOB = "YELO";
            }
            else
            {

                global_variables.IMOB = "GRAY";
            }

            if (textBoxRESULTS.Text.Contains(",3101,") || textBoxRESULTS.Text.Contains(",3102,")) // Search Manifest for Modcode (HIGH VOLTAGE PO 3101)
            {

                global_variables.HVPO = "YELO";
            }
            else
            {

                global_variables.HVPO = "GRAY";
            }





            textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
            textBox1.Text = textBox1.Text + "1ST CONNECT USB\n\r" + "\n\r" + "\n\r";
            textBox1.Text = textBox1.Text + "2ND CONNECT 55-WAY\n\r" + "\n\r";

            textBoxfrm3VIN.Text = global_variables.VIN;

            // Initalize Part Number Text Boxes
            // textBoxRESULTS.Text = textBoxRESULTS.Text + "Initalize Part Number Text Boxes" + "\n\r" + "\n\r";

            textBoxEOCM_BaseModelPartNumber8.Text = "";
            textBoxEOCM_EndModelPartNumber8.Text = "";
            textBoxEOCM_BootSWID8.Text = "";
            textBoxEOCM_AppSWID10.Text = "";
            textBoxEOCM_AppDataID10.Text = "";

            textBoxSIB_BaseModelPartNumber8.Text = "";
            textBoxSIB_EndModelPartNumber8.Text = "";
            textBoxSIB_BootSWID8.Text = "";
            textBoxSIB_AppSWID10.Text = "";
            textBoxSIB_AppDataID10.Text = "";

            textBoxWCM_BaseModelPartNumber8.Text = "";
            textBoxWCM_EndModelPartNumber8.Text = "";
            textBoxWCM_BootSWID8.Text = "";
            textBoxWCM_AppSWID10.Text = "";
            textBoxWCM_AppDataID10.Text = "";

            TextBox_Time_of_PN_Read.Text = "";
            TextBox_Date_of_PN_Read.Text = "";

            // public IPEndPoint(long address, int port)
            // public IPEndPoint(IPAddress address, int port)


            if (global_variables.diDIO == AIOUSB.diNone)
            {
                //Handle no IIRO / IDIO device found
            }



            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5;
            byte input6;
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(global_variables.diDIO, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;

            // Initialize all Outputs to the OFF State
            AIOUSB.DIO_Write1(global_variables.diDIO, 6, 1);  // Deactivate TEST FAIL (Interlock)
            AIOUSB.DIO_Write1(global_variables.diDIO, 7, 1);  // Deactivate TEST PASS (Interlock)
            AIOUSB.DIO_Write1(global_variables.diDIO, 8, 1);  // Deactivate END OF CYCLE (Interlock)
            AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Turn OFF SOL #1   CONSOLE 55-way LATCH / HEADLINER LATCH BH#1
            AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Turn OFF SOL #2   CONSOLE 55-way DRAW DOWN / HEADLINER LATCH BH#2
            AIOUSB.DIO_Write1(global_variables.diDIO, 11, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1
            AIOUSB.DIO_Write1(global_variables.diDIO, 12, 1); // Turn OFF SOL #4   HEADLINER DRAW DOWN BH #2
            AIOUSB.DIO_Write1(global_variables.diDIO, 13, 1); // TURN OFF SOL #5   HEADLINER AIR EJECT BH #3
            AIOUSB.DIO_Write1(global_variables.diDIO, 14, 1); // CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet

            // Initalize Module Part Number Text Boxes
            textBoxEOCM_BaseModelPartNumber8.Text = "";
            textBoxEOCM_EndModelPartNumber8.Text = "";
            textBoxEOCM_BootSWID8.Text = "";
            textBoxEOCM_AppSWID10.Text = "";
            textBoxEOCM_AppDataID10.Text = "";
            textBoxSIB_BaseModelPartNumber8.Text = "";
            textBoxSIB_EndModelPartNumber8.Text = "";
            textBoxSIB_BootSWID8.Text = "";
            textBoxSIB_AppSWID10.Text = "";
            textBoxSIB_AppDataID10.Text = "";
            textBoxWCM_BaseModelPartNumber8.Text = "";
            textBoxWCM_EndModelPartNumber8.Text = "";
            textBoxWCM_BootSWID8.Text = "";
            textBoxWCM_AppSWID10.Text = "";
            textBoxWCM_AppDataID10.Text = "";
            TextBox_Time_of_PN_Read.Text = "";
            TextBox_Date_of_PN_Read.Text = "";


            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);

            if (Console1) // Console_PIP_55Way has been detected
            {
                AIOUSB.DIO_Write1(global_variables.diDIO, 10, 0); // Energize Sol #2   CONSOLE 55-way DRAW DOWN 
                labelDrawDownCON55.BackColor = Color.Aquamarine;
                labelPIPswitchCON55A.BackColor = Color.Aquamarine;
                labelPIPswitchCON55B.BackColor = Color.Aquamarine;

                // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                AIOUSB.DIO_Write1(global_variables.diDIO, 9, 0);  // Energize SOL #1   CONSOLE 55-way LATCH 
                labelLatchCON55.BackColor = Color.Aquamarine;
                button2.BackColor = Color.Aquamarine; // Connect 55-way Button Color on touch screen
            }

            if (Headliner1) // Headliner_PIP_59Way has been detected
            {
                AIOUSB.DIO_Write1(global_variables.diDIO, 11, 0); // Energize Sol #3   HEADLINER DRAW DOWN BH #1 59-way
            }

            if (Headliner2) // Headliner_PIP_55Way has been detected
            {
                AIOUSB.DIO_Write1(global_variables.diDIO, 12, 0); // Energize Sol #4   HEADLINER DRAW DOWN BH #2 55-way
            }


            //***********************************************************************************************************
            //************* iNITIALIZE WHICH TEST TO RUN BASED ON mod CODE OR MANUAL SELECTIONS GLOBAL VARIABLES = "YELO"
            //************************************************************************************************************

            // Default is "grey" unless selected as "yelo" by manual selection or manifest

            button_LIN_Heated_Seat_Switch.BackColor = Color.LightGray;
            button_LIN_TBS.BackColor = Color.LightGray;
            buttonWCM.BackColor = Color.LightGray;
            buttonSIB.BackColor = Color.LightGray;
            buttonEOCM.BackColor = Color.LightGray;
            buttonRFIDendcapUSB.BackColor = Color.LightGray;
            buttonTESTendcapUSB.BackColor = Color.LightGray;
            buttonRFIDbodyUSB.BackColor = Color.LightGray;
            buttonTESTbodyUSB.BackColor = Color.LightGray;
            buttonRFIDcupHolderUSB.BackColor = Color.LightGray;
            buttonTESTcupHolderUSB.BackColor = Color.LightGray;

            if (global_variables.SEAT.Contains("YELO")) button_LIN_Heated_Seat_Switch.BackColor = Color.Yellow;
            if (global_variables.TBS.Contains("YELO")) button_LIN_TBS.BackColor = Color.Yellow;
            if (global_variables.WCM.Contains("YELO")) buttonWCM.BackColor = Color.Yellow;
            if (global_variables.SIB.Contains("YELO")) buttonSIB.BackColor = Color.Yellow;
            if (global_variables.EOCM.Contains("YELO")) buttonEOCM.BackColor = Color.Yellow;
            if (global_variables.ENDCAP_USB_SCAN.Contains("YELO")) buttonRFIDendcapUSB.BackColor = Color.Yellow;
            if (global_variables.ENDCAP_USB_TEST.Contains("YELO")) buttonTESTendcapUSB.BackColor = Color.Yellow;
            if (global_variables.BODY_USB_SCAN.Contains("YELO")) buttonRFIDbodyUSB.BackColor = Color.Yellow;
            if (global_variables.BODY_USB_TEST.Contains("YELO")) buttonTESTbodyUSB.BackColor = Color.Yellow;
            if (global_variables.CUPHOLDER_USB_SCAN.Contains("YELO")) buttonRFIDcupHolderUSB.BackColor = Color.Yellow;
            if (global_variables.CUPHOLDER_USB_TEST.Contains("YELO")) buttonTESTcupHolderUSB.BackColor = Color.Yellow;


            timerForm3_Connect55_way.Start();

            //**************************************************************
            //**********  End of Form 3 Load *******************************
            // *************************************************************

        }

        private object CreateSocket()
        {
            throw new NotImplementedException();
        }




        private ComponentResult LeakResult()
        {
            ComponentResult Result = new ComponentResult();

            byte[] Buffer = new byte[26];
            // Reads the buffer.
            // public int DBRead(int DBNumber, int Start, int Size, byte[] Buffer)

            Client.DBRead(100, 0, 26, Buffer);
            // Extracts the fields and inserts them into the struct
            Result.SerialNumber = S7.GetCharsAt(Buffer, 0, 12);
            Result.TestResult = S7.GetIntAt(Buffer, 12);
            Result.LeakDetected = S7.GetRealAt(Buffer, 14);
            Result.TestDateTime = S7.GetDateTimeAt(Buffer, 18);
            return Result;
        }


        private void timerForm3_Connect55_way_Tick(object sender, EventArgs e)

        {
            // ******************************************************************************************************************************************
            // *********** Start of 700ms Tick Tock Loop ************************************************************************************************
            // ******************************************************************************************************************************************


            textBoxfrm3VIN.Text = global_variables.VIN;

            // ONE SHOT 
            if (textBox1.Text.Contains("2ND CONNECT 55-WAY"))
            {
                // Refresh Operator Startup Screen Prompt
                textBox1.Text = ""; // Clear Screen
                textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                textBox1.Text = textBox1.Text + "1ST CONNECT USB\n\r" + "\n\r" + "\n\r";
                textBox1.Text = textBox1.Text + "2ND CONNECT 55-WAY\n\r" + "\n\r";
            }
            else
            {
                // DO NOTHING
            }





            //************************************************************************
            //**************** Configure I/O for the main timer loop  ****************
            //************************************************************************

            byte input0;
            byte input1; // Console 55-way PIP Switch or Headliner 59-way PIP Switch
            byte input2; // Headliner 55-way PIP Switch
            byte input3; // Headliner 16-way X1 PIP Switch
            byte input4; // Headliner 16-way X2 PIP Switch
            byte input5; // Console 12Vdc Power Outlet Test on RFID card reader Block
            byte input6; // Console 5V USB Charge Test on RFID card reader Block
            byte input7;
            byte input8;
            byte input9;
            byte input10;
            byte input11;
            byte input12;
            byte input13;
            byte input14;
            byte input15;

            byte[] data = new byte[] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };

            AIOUSB.DIO_ReadAll(global_variables.diDIO, data);
            // AIOUSB.DIO_ReadAll(1, data);

            if ((data[2] & 0x01) == 0x01) input0 = 1; else input0 = 0;
            if ((data[2] & 0x02) == 0x02) input1 = 1; else input1 = 0;
            if ((data[2] & 0x04) == 0x04) input2 = 1; else input2 = 0;
            if ((data[2] & 0x08) == 0x08) input3 = 1; else input3 = 0;
            if ((data[2] & 0x10) == 0x10) input4 = 1; else input4 = 0;
            if ((data[2] & 0x20) == 0x20) input5 = 1; else input5 = 0;
            if ((data[2] & 0x40) == 0x40) input6 = 1; else input6 = 0;
            if ((data[2] & 0x80) == 0x80) input7 = 1; else input7 = 0;
            if ((data[3] & 0x01) == 0x01) input8 = 1; else input8 = 0;
            if ((data[3] & 0x02) == 0x02) input9 = 1; else input9 = 0;
            if ((data[3] & 0x04) == 0x04) input10 = 1; else input10 = 0;
            if ((data[3] & 0x08) == 0x08) input11 = 1; else input11 = 0;
            if ((data[3] & 0x10) == 0x10) input12 = 1; else input12 = 0;
            if ((data[3] & 0x20) == 0x20) input13 = 1; else input13 = 0;
            if ((data[3] & 0x40) == 0x40) input14 = 1; else input14 = 0;
            if ((data[3] & 0x80) == 0x80) input15 = 1; else input15 = 0;


            byte Console_PIP_55Way = 1;
            byte Headliner_PIP_59Way = 1;
            byte Headliner_PIP_55Way = 1;
            byte Headliner_PIP_16Way_x1 = 1;
            byte Headliner_PIP_16Way_x2 = 1;
            byte Console_12VdcPO = 1;
            byte Console_5vUSB = 1;

            bool Console1 = input1.Equals(Console_PIP_55Way);
            bool Headliner1 = input1.Equals(Headliner_PIP_59Way);
            bool Headliner2 = input2.Equals(Headliner_PIP_55Way);
            bool Headliner3 = input3.Equals(Headliner_PIP_16Way_x1);
            bool Headliner4 = input4.Equals(Headliner_PIP_16Way_x2);
            bool Console5 = input5.Equals(Console_12VdcPO);
            bool Console6 = input6.Equals(Console_5vUSB);



            //******************************************************************
            //*************  Check for operator to connect the 55-way harness
            //*******************************************************************


            if (Console1) // Console_PIP_55Way has been detected
            {
                // ONE SHOT 
                if (textBoxRESULTS.Text.Contains("55-way Connected"))
                {
                    // DO NOTHING

                }
                else
                {
                    //vSpyGatherPartNumber();
                    //Thread vSpy3Thread = new Thread(vSpyGatherPartNumber);
                    //vSpy3Thread.Start();
                    // **************************************************************************************************************************
                    // ****************** Start the Console Test Automatic Sequence *************************************************************
                    // **************************************************************************************************************************
                    textBoxRESULTS.Text += "<<< STEP #1 - Start the Console Test Automatic Sequence >>>>" + "\n\r" + "\n\r";
                    //***************************************************************************************************************************
                    //***************************************************************************************************************************

                    AIOUSB.DIO_Write1(global_variables.diDIO, 11, 0); // Energize Sol #2   CONSOLE 59-way DRAW DOWN for bench validation at ETC
                    AIOUSB.DIO_Write1(global_variables.diDIO, 10, 0); // Energize Sol #2   CONSOLE 55-way DRAW DOWN 
                    labelDrawDownCON55.BackColor = Color.Aquamarine;
                    labelPIPswitchCON55A.BackColor = Color.Aquamarine;
                    labelPIPswitchCON55B.BackColor = Color.Aquamarine;


                    // May require time delay or other way like analog channel reads to make sure the Drawdown and connector is fully seated before energizing the LATCH Solenoid ?
                    AIOUSB.DIO_Write1(global_variables.diDIO, 9, 0);  // Energize SOL #1   CONSOLE 55-way LATCH 
                    labelLatchCON55.BackColor = Color.Aquamarine;
                    button2.BackColor = Color.Aquamarine; // Connect 55-way Button Color on touch screen
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "55-way PIP detected" + "\n\r" + "\n\r";
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "55-way Drawdown Solenoid Energized" + "\n\r" + "\n\r";
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "55-way Latch Solenoid Energized" + "\n\r" + "\n\r";
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "55-way Connected" + "\n\r" + "\n\r";

                    textBox1.Text = ""; // CLEAR SCREEN
                    textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                    textBox1.Text = textBox1.Text + "SCAN ANY YELLOW\n\r" + "\n\r" + "\n\r";
                    textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                }





                // ******************************************************************************************************************** 
                // ****** Read Global Vriables from SHARP7 PLC MANIFEST READ TO SEQUENCE WHICH USB TO TEST ****************************
                // ********************************************************************************************************************
                // *******  CUPHOLDER USB ...... MOD CODE # 4301 ..... Broadcast String (13529875FW85) ********************************            
                // *******  BODY USB............ MOD CODE # 3002 ..... Broadcast String (13529874FW86) ********************************
                // *******  BODY USB............ NO PART ............. Broadcast String (----****FT05) ******************************** 
                // *******  ENDCAP USB ......... MOD CODE # 1502 ..... Broadcast String (13525890FT12) ******************************** 
                // ********************************************************************************************************************
                // ********************************************************************************************************************


                // CupholderUSBrfidRESULT 
                // BodyUSBrfidRESULT
                // EndcapUSBrfidRESULT

                // CupholderUSBtestRESULT
                // BodyUSBtestRESULT
                // EndcapUSBtestRESULT

                // 0 = Not Tested ************************************************************** FAIL because NO RFID SCAN was performed & NO 5Vdc was Detected
                // 1 = Only had the RFID SCAN Performed **************************************** FAIL because NO 5Vdc Detected (or) Not Tested
                // 2 = RFID SCAN Performed & Digital Input Detected from 5Vdc USB ************** PASS



                if (textBox1.Text.Contains("138")) // MASTER RFID CARD #69 WAS DETECTED,  GOTO CSN # KEYPAD SCREEN
                {
                    timerForm3_Connect55_way.Stop();
                    //Form6 frm6 = new Form6();
                    global_variables.frm6.Show();
                }

                if (textBox1.Text.Contains("2"))
                {

                    if (global_variables.CUPHOLDER_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                    {

                        USBtest = 2; // CUPHOLDER RFID CARD SCAN DETECTED
                        CupholderUSBrfidRESULT = 1; // Scanned
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "Cupholder USB Card Scanned" + "\n\r" + "\n\r";
                        AIOUSB.DIO_Write1(global_variables.diDIO, 14, 0); // "ON" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "TEST CUPHOLDER USB (10)\n\r" + "\n\r" + "\n\r";
                        buttonRFIDcupHolderUSB.BackColor = Color.Aquamarine;
                        global_variables.CUPHOLDER_USB_SCAN = "PASS";
                    }
                    else
                    {
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "ONLY SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                    }

                }



                if (textBox1.Text.Contains("4"))
                {



                    if (global_variables.BODY_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                    {

                        USBtest = 4; // BODY RFID CARD SCAN DETECTED
                        BodyUSBrfidRESULT = 1; // Scanned
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "Body USB Card Scanned" + "\n\r" + "\n\r";
                        AIOUSB.DIO_Write1(global_variables.diDIO, 14, 0); // "ON" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "TEST BODY USB (10)\n\r" + "\n\r" + "\n\r";
                        buttonRFIDbodyUSB.BackColor = Color.Aquamarine;
                        global_variables.BODY_USB_SCAN = "PASS";
                    }
                    else
                    {
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "ONLY SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                    }

                }



                if (textBox1.Text.Contains("7"))
                {

                    if (global_variables.ENDCAP_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                    {

                        USBtest = 7; // ENDCAP RFID CARD SCAN DETECTED
                        EndcapUSBrfidRESULT = 1; // Scanned
                        textBoxRESULTS.Text = textBoxRESULTS.Text + "Endcap USB Card Scanned" + "\n\r" + "\n\r";
                        AIOUSB.DIO_Write1(global_variables.diDIO, 14, 0); // "ON" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "TEST ENDCAP USB (10)\n\r" + "\n\r" + "\n\r";
                        buttonRFIDendcapUSB.BackColor = Color.Aquamarine;
                        global_variables.ENDCAP_USB_SCAN = "PASS";

                    }
                    else
                    {
                        textBox1.Text = ""; // CLEAR SCREEN
                        textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "ONLY SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                        textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                    }

                }


                // *************   CupholderUSBrfidRESULT 
                // *************   BodyUSBrfidRESULT
                // *************   EndcapUSBrfidRESULT

                // *************   CupholderUSBtestRESULT
                // *************   BodyUSBtestRESULT
                // *************   EndcapUSBtestRESULT

                // 0 = Not Tested ************************************************************** FAIL because NO RFID SCAN was performed & NO 5Vdc was Detected
                // 1 = Only had the RFID SCAN Performed **************************************** FAIL because NO 5Vdc Detected (or) Not Tested
                // 2 = RFID SCAN Performed & Digital Input Detected from 5Vdc USB ************** PASS

                //*************************************************************************************
                //***********  Prompt Operator to SCAN each RFID Tag and test the 5VUSB ports
                //*************************************************************************************

                switch (USBtest)
                {

                    case 0: // NO RFID CARD SCAN DETECTED


                        break;

                    case 2: // CUPHOLDER USB *** RFID CARD SCAN DETECTED


                        if (global_variables.CUPHOLDER_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                        {

                            buttonRFIDcupHolderUSB.BackColor = Color.Aquamarine;
                            button1.BackColor = Color.Aquamarine; // Connect USB Button Color on touch screen
                            CupholderUSBtestRESULT = 2; // PASS
                            global_variables.CUPHOLDER_USB_SCAN = "PASS";
                        }

                        break;

                    case 4: // BODY USB *** RFID CARD SCAN DETECTED

                        if (global_variables.BODY_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                        {

                            buttonRFIDbodyUSB.BackColor = Color.Aquamarine;
                            button1.BackColor = Color.Aquamarine; // Connect USB Button Color on touch screen
                            BodyUSBtestRESULT = 2; // PASS
                            global_variables.BODY_USB_SCAN = "PASS";
                        }

                        break;

                    case 7: // ENDCAP USB *** RFID CARD SCAN DETECTED 

                        if (global_variables.ENDCAP_USB_SCAN.Contains("YELO"))  // Manual or MOD CODE selected
                        {

                            buttonRFIDendcapUSB.BackColor = Color.Aquamarine;
                            button1.BackColor = Color.Aquamarine; // Connect USB Button Color on touch screen
                            EndcapUSBtestRESULT = 2; // PASS
                            global_variables.ENDCAP_USB_SCAN = "PASS";

                        }

                        break;

                }




                //****************************************************
                //***** Test 5Vdc USB input Voltage ******************
                //****************************************************

                if (Console6) // Digital Input for 5vUSB Test Block End
                {
                    textBoxRESULTS.Text = textBoxRESULTS.Text + "USB Test 5Vdc" + "\n\r" + "\n\r";

                    if (global_variables.ENDCAP_USB_TEST.Contains("YELO"))  // Manual or MOD CODE selected
                    {
                        if (textBoxRESULTS.Text.Contains("Endcap USB Card Scanned"))
                        {
                            AIOUSB.DIO_Write1(global_variables.diDIO, 14, 1); // "OFF" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                            buttonTESTendcapUSB.BackColor = Color.Aquamarine;
                            buttonRFIDendcapUSB.BackColor = Color.Aquamarine;
                            textBox1.Text = ""; // CLEAR SCREEN
                            textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                            global_variables.ENDCAP_USB_TEST = "PASS";
                            textBoxRESULTS.Text = textBoxRESULTS.Text + "Endcap 5Vdc detected by USB Test\n\r" + "\n\r" + "\n\r";
                        }
                    }


                    if (global_variables.BODY_USB_TEST.Contains("YELO"))  // Manual or MOD CODE selected
                    {
                        if (textBoxRESULTS.Text.Contains("Body USB Card Scanned"))
                        {
                            AIOUSB.DIO_Write1(global_variables.diDIO, 14, 1); // "OFF" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                            buttonTESTbodyUSB.BackColor = Color.Aquamarine;
                            buttonRFIDbodyUSB.BackColor = Color.Aquamarine;
                            textBox1.Text = ""; // CLEAR SCREEN
                            textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                            global_variables.BODY_USB_TEST = "PASS";
                            textBoxRESULTS.Text = textBoxRESULTS.Text + "Body 5Vdc detected by USB Test\n\r" + "\n\r" + "\n\r";
                        }
                    }


                    if (global_variables.CUPHOLDER_USB_TEST.Contains("YELO"))  // Manual or MOD CODE selected
                    {
                        if (textBoxRESULTS.Text.Contains("Cupholder USB Card Scanned"))
                        {
                            AIOUSB.DIO_Write1(global_variables.diDIO, 14, 1); // "OFF" CONSOLE (LED) RFID TEST BLOCK  5VdcUSB & 12Vdc Power Outlet
                            buttonRFIDcupHolderUSB.BackColor = Color.Aquamarine;
                            buttonTESTcupHolderUSB.BackColor = Color.Aquamarine;
                            textBox1.Text = ""; // CLEAR SCREEN
                            textBox1.Text = textBox1.Text + "<<< OPERATOR >>>\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "SCAN NEXT YELLOW\n\r" + "\n\r" + "\n\r";
                            textBox1.Text = textBox1.Text + "USB TEST CARD\n\r" + "\n\r" + "\n\r";
                            global_variables.CUPHOLDER_USB_TEST = "PASS";
                            textBoxRESULTS.Text = textBoxRESULTS.Text + "Cupholder 5Vdc detected by USB Test\n\r" + "\n\r" + "\n\r";
                        }
                    }


                }
                else // FAIL USB TEST IF 5vDC IS NOT DETECTED WITHIN 10 (700MS) TIMER LOOPS
                {


                }


                // *****************************************************
                // ***** TEST FOR MANUAL RELEASE BUTTON PRESSED ON 55 WAY
                // *****************************************************

                if (Console1) // Console_PIP_55-way
                {

                    // DO NOTHING

                }
                else  // MANUAL RELEASE PRESSED ON 59-WAY ?
                {
                    if (textBoxRESULTS.Text.Contains("55-way Connected"))
                    {
                        // RELEASE BOTH 55-WAY AND 16/16-WAY UNLATCH AND BLOW OFF SINCE IT HAS NO PUSH BUTTON               
                        AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1 59-WAY
                        AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Turn OFF SOL #1   HEADLINER LATCH BH #1 59-WAY
                        AIOUSB.DIO_Write1(global_variables.diDIO, 13, 0); // TURN ON SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY
                    }
                }


                //************************************************************************************************
                //***********  1st.) Shell Command to Launch Vehicle Spy 
                //***********  2nd.) TCPIP TEXT COMMAND APP TO VEHICLE SPY TO START VEHICLE SPY PART NUMBER READ TEST BLOCK ROUTINES
                //***********  3rd.) Read Module Part Numbers 
                // ***********************************************************************************************


                if (Console6) // Digital Input for 5vUSB Test Block End
                {

                    //if (global_variables.WCM.Contains("PASS"))
                    //if (textBoxRESULTS.Text.Contains(",3101,") || textBoxRESULTS.Text.Contains(",3102,"))
                    if (buttonTESTendcapUSB.BackColor != Color.Yellow)
                    {
                        if (buttonTESTbodyUSB.BackColor != Color.Yellow)
                        {
                            if (buttonTESTcupHolderUSB.BackColor != Color.Yellow)
                            {
                                textBox1.Text = ""; // CLEAR SCREEN
                                textBox1.Text += "<<< TESTER >>>\n\r" + "\n\r" + "\n\r";
                                textBox1.Text += "READING MODULE\n\r" + "\n\r" + "\n\r";
                                textBox1.Text += "PART NUMBERS\n\r" + "\n\r" + "\n\r";

                                textBoxRESULTS.Text += "<<<<< All Required USB's were tested >>>>" + "\n\r" + "\n\r";
                            }
                        }

                    }

                }

                Application.DoEvents();


                if (textBoxRESULTS.Text.Contains("<<<<< All Required USB's were tested >>>>"))
                {
                    // Used Text API to send START for Spy3 macro
                    // Used Text API to send START for Spy3 macro

                    if (textBoxRESULTS.Text.Contains("Cycle Complete"))
                    {
                        // Do Nothing
                    }
                    else // One Shot
                    {


                        // ************************************************************
                        // ******** Shell Command to launch Vehicle Spy 3 *************
                        // ************************************************************

                        if (textBoxRESULTS.Text.Contains("<<<<< Used Shell Command to launch Vehicle Spy >>>>"))

                        {
                            // Do Nothing
                        }
                        else // One Shot
                        {

                        }

                        // timerForm3_Connect55_way.Stop();
                        // textBoxRESULTS.Text = textBoxRESULTS.Text + "<<<<< Delay 3 seconds after starting Vehicle Spy 3 >>>>" + "\n\r" + "\n\r";
                        // Thread.Sleep(10000); // Wait 10 Seconds
                        // timerForm3_Connect55_way.Start();


                        if (textBoxRESULTS.Text.Contains("Used Text API to send START for Spy3 macro"))
                        {
                            // Do Nothing
                        }
                        else // One Shot
                        {

                            //timerForm3_Connect55_way.Stop();

                            // textBoxRESULTS.Text = textBoxRESULTS.Text + "<<<<< Delay 10 seconds after starting Vehicle Spy 3 >>>>" + "\n\r" + "\n\r";

                            // Thread.Sleep(10000); // Wait 10 Seconds

                            // timerForm3_Connect55_way.Start();

                            vSpyGatherPartNumber();


                        }




                        // ***********************************************************************************************************
                        // ************** Start of File Parsing Section  ************************************************************* 
                        // ***********************************************************************************************************

                        if (textBoxRESULTS.Text.Contains("Used Text API to send START for Spy3 macro"))
                        {
                            if (textBoxRESULTS.Text.Contains("Parsed Multiple.txt files"))
                            {

                                // Test sequence not ready to parse TEXT files before Vehicle Spy is done writing them

                            }

                            else // One Shot Start of File Parsing
                            {
                                if (global_variables.WCM.Contains("YELO"))  // Manual or MOD CODE selected
                                {
                                    //***********************************
                                    //******* WCM Part Number File 
                                    //***********************************
                                    string WCMstrFullFIleName = "c:/Android/Data Directory/Default/WCMPNs.txt";
                                    StreamReader srFileReader = new StreamReader(WCMstrFullFIleName);
                                    textBoxRESULTS.Text += srFileReader.ReadToEnd();
                                    // srFileReader.Close();
                                }

                                if (global_variables.SIB.Contains("YELO"))  // Manual or MOD CODE selected
                                {
                                    //***********************************
                                    //******* SIB Part Number File
                                    //***********************************
                                    string SIBstrFullFIleName = "c:/Android/Data Directory/Default/SIBPNs.txt";
                                    StreamReader SIBsrFileReader = new StreamReader(SIBstrFullFIleName);
                                    textBoxRESULTS.Text += SIBsrFileReader.ReadToEnd();
                                    // srFileReader.Close();
                                }



                                if (global_variables.EOCM.Contains("YELO"))  // Manual or MOD CODE selected
                                {
                                    //***********************************
                                    //******* EOCM Part Number File
                                    //***********************************
                                    string EOCMstrFullFIleName = "c:/Android/Data Directory/Default/EOCMPNsCAN4.txt";
                                    StreamReader EOCMsrFileReader = new StreamReader(EOCMstrFullFIleName);
                                    textBoxRESULTS.Text += EOCMsrFileReader.ReadToEnd();
                                    //srFileReader.Close();
                                }


                                if (global_variables.SEAT.Contains("YELO"))  // Manual or MOD CODE selected
                                {
                                    //*****************************************************
                                    //******* SEAT - LIN Heated Seat Switch Detection File
                                    //*****************************************************
                                    string SEATstrFullFIleName = "c:/Android/Data Directory/Default/HeatedSeat.txt";
                                    StreamReader SEATsrFileReader = new StreamReader(SEATstrFullFIleName);
                                    textBoxRESULTS.Text += SEATsrFileReader.ReadToEnd();
                                    //srFileReader.Close();
                                }


                                if (global_variables.TBS.Contains("YELO"))  // Manual or MOD CODE selected
                                {
                                    //******************************************************
                                    //******* TBS - LIN Trailer Brake Switch Detection File
                                    //******************************************************
                                    string TBSstrFullFIleName = "c:/Android/Data Directory/Default/Trailer Switch.txt";
                                    StreamReader TBSsrFileReader = new StreamReader(TBSstrFullFIleName);
                                    textBoxRESULTS.Text += TBSsrFileReader.ReadToEnd();
                                    //srFileReader.Close();
                                }


                                int WCM_Result = 0; // Wireless Charge Module
                                int SIB_Result = 0; // Shifter Interface Board
                                int EOCM_Result = 0; // External Object Calculating Module
                                int LIN_TBS_Result = 0; // Trailer Brake Switch
                                int LIN_HSS_Result = 0; // Heated Seat Switch

                                string WCM_ResultS = ""; // Wireless Charge Module
                                string SIB_ResultS = ""; // Shifter Interface Board
                                string EOCM_ResultS = ""; // External Object Calculating Module
                                string LIN_TBS_ResultS = ""; // Trailer Brake Switch
                                string LIN_HSS_ResultS = ""; // Heated Seat Switch


                                //if (global_variables.WCM.Contains("YELO"))  // Manual or MOD CODE selected
                                {

                                    //*********************************************************************
                                    //***** PARSE THE WCM PART NUMBERS FROM THE (WCMPNs.txt) FILE
                                    //*********************************************************************

                                    // now locate Resault of PN read (0 = No Read) (1 = Able to read all 5 Part Numbers)
                                    WCM_Result = textBoxRESULTS.Text.IndexOf("WCM Part Numbers, Test restut: ");
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Location of WCM Module Part Number Read = " + WCM_Result + "\n\r" + "\n\r";
                                    WCM_ResultS = textBoxRESULTS.Text.Substring((WCM_Result), 32);
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Contents of WCM Module Part Number Read = " + WCM_ResultS + "\n\r" + "\n\r";

                                    if (textBoxRESULTS.Text.Contains("WCM Module Part Number Read Passed"))
                                    {
                                        // Do Nothing
                                    }
                                    else // Parse out the Module Part Numbers
                                    {

                                        if (WCM_ResultS.Contains("1")) // 1 = Able to read all 5 Part Numbers
                                        {

                                            TextBox_Date_of_PN_Read.Text = textBoxRESULTS.Text.Substring((WCM_Result + 34), 10);
                                            TextBox_Time_of_PN_Read.Text = textBoxRESULTS.Text.Substring((WCM_Result + 44), 15);
                                            textBoxWCM_AppDataID10.Text = textBoxRESULTS.Text.Substring((WCM_Result + 61), 10);
                                            textBoxWCM_AppSWID10.Text = textBoxRESULTS.Text.Substring((WCM_Result + 73), 10);
                                            textBoxWCM_BootSWID8.Text = textBoxRESULTS.Text.Substring((WCM_Result + 84), 9);
                                            textBoxWCM_EndModelPartNumber8.Text = textBoxRESULTS.Text.Substring((WCM_Result + 94), 9);
                                            textBoxWCM_BaseModelPartNumber8.Text = textBoxRESULTS.Text.Substring((WCM_Result + 104), 10);

                                            buttonWCM.BackColor = Color.Aquamarine;
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "WCM Module Part Number Read Passed" + "\n\r" + "\n\r";
                                            global_variables.WCM = "PASS";
                                            global_variables.WCM_BASE_PN = textBoxWCM_BaseModelPartNumber8.Text;
                                            global_variables.WCM_END_PN = textBoxWCM_EndModelPartNumber8.Text;
                                            global_variables.WCM_BOOT_PN = textBoxWCM_BootSWID8.Text;
                                            global_variables.WCM_ASWID_PN = textBoxWCM_AppSWID10.Text;
                                            global_variables.WCM_ADATAID_PN = textBoxWCM_AppDataID10.Text;
                                            global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
                                            global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;

                                        }
                                        else // 0 = No Read
                                        {
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "WCM Module Part Number Read Failed.  No WCM Module Detected" + "\n\r" + "\n\r";

                                            textBoxWCM_AppDataID10.Text = " NO READ ";
                                            textBoxWCM_AppSWID10.Text = " NO READ ";
                                            textBoxWCM_BootSWID8.Text = " NO READ ";
                                            textBoxWCM_EndModelPartNumber8.Text = " NO READ ";
                                            textBoxWCM_BaseModelPartNumber8.Text = " NO READ ";

                                            buttonWCM.BackColor = Color.Orange;


                                        }
                                    }

                                }



                                if (global_variables.SIB.Contains("YELO"))  // Manual or MOD CODE selected
                                {

                                    //*********************************************************************
                                    //***** PARSE THE SIB PART NUMBERS FROM THE (SIBPNs.txt) FILE
                                    //*********************************************************************

                                    // now locate Resault of PN read (0 = No Read) (1 = Able to read all 5 Part Numbers)
                                    SIB_Result = textBoxRESULTS.Text.IndexOf("SIB Part Numbers, Test restut: ");
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Location of SIB Module Part Number Read = " + SIB_Result + "\n\r" + "\n\r";
                                    SIB_ResultS = textBoxRESULTS.Text.Substring((SIB_Result), 32);
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Contents of SIB Module Part Number Read = " + SIB_ResultS + "\n\r" + "\n\r";

                                    if (textBoxRESULTS.Text.Contains("SIB Module Part Number Read Passed"))
                                    {
                                        // Do Nothing
                                    }
                                    else // Parse out the Module Part Numbers
                                    {

                                        if (SIB_ResultS.Contains("1")) // 1 = Able to read all 5 Part Numbers
                                        {

                                            TextBox_Date_of_PN_Read.Text = textBoxRESULTS.Text.Substring((SIB_Result + 34), 10);
                                            TextBox_Time_of_PN_Read.Text = textBoxRESULTS.Text.Substring((SIB_Result + 44), 15);
                                            textBoxSIB_AppDataID10.Text = textBoxRESULTS.Text.Substring((SIB_Result + 61), 10);
                                            textBoxSIB_AppSWID10.Text = textBoxRESULTS.Text.Substring((SIB_Result + 73), 10);
                                            textBoxSIB_BootSWID8.Text = textBoxRESULTS.Text.Substring((SIB_Result + 84), 9);
                                            textBoxSIB_EndModelPartNumber8.Text = textBoxRESULTS.Text.Substring((SIB_Result + 94), 9);
                                            textBoxSIB_BaseModelPartNumber8.Text = textBoxRESULTS.Text.Substring((SIB_Result + 104), 10);

                                            buttonSIB.BackColor = Color.Aquamarine;

                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "SIB Module Part Number Read Passed" + "\n\r" + "\n\r";

                                            global_variables.SIB = "PASS";
                                            global_variables.SIB_BASE_PN = textBoxSIB_BaseModelPartNumber8.Text;
                                            global_variables.SIB_END_PN = textBoxSIB_EndModelPartNumber8.Text;
                                            global_variables.SIB_BOOT_PN = textBoxSIB_BootSWID8.Text;
                                            global_variables.SIB_ASWID_PN = textBoxSIB_AppSWID10.Text;
                                            global_variables.SIB_ADATAID_PN = textBoxSIB_AppDataID10.Text;
                                            global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
                                            global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;

                                        }
                                        else // 0 = No Read
                                        {
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "SIB Module Part Number Read Failed.  No SIB Module Detected" + "\n\r" + "\n\r";

                                            textBoxSIB_AppDataID10.Text = " NO READ ";
                                            textBoxSIB_AppSWID10.Text = " NO READ ";
                                            textBoxSIB_BootSWID8.Text = " NO READ ";
                                            textBoxSIB_EndModelPartNumber8.Text = " NO READ ";
                                            textBoxSIB_BaseModelPartNumber8.Text = " NO READ ";

                                            buttonSIB.BackColor = Color.Orange;

                                        }


                                    }
                                }




                                if (global_variables.EOCM.Contains("YELO"))  // Manual or MOD CODE selected
                                {


                                    //*********************************************************************
                                    //***** PARSE THE EOCM PART NUMBERS FROM THE (EOCMPNsCAN4.txt) FILE
                                    //*********************************************************************

                                    // now locate Resault of PN read (0 = No Read) (1 = Able to read all 5 Part Numbers)
                                    EOCM_Result = textBoxRESULTS.Text.IndexOf("EOCM Part Numbers, Test restut: ");
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Location of EOCM Module Part Number Read = " + EOCM_Result + "\n\r" + "\n\r";
                                    EOCM_ResultS = textBoxRESULTS.Text.Substring((EOCM_Result), 33);
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Contents of EOCM Module Part Number Read = " + EOCM_ResultS + "\n\r" + "\n\r";

                                    if (textBoxRESULTS.Text.Contains("EOCM Module Part Number Read Passed"))
                                    {
                                        // Do Nothing
                                    }
                                    else // Parse out the Module Part Numbers
                                    {

                                        if (EOCM_ResultS.Contains("1")) // 1 = Able to read all 5 Part Numbers
                                        {


                                            TextBox_Date_of_PN_Read.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 34), 10);
                                            TextBox_Time_of_PN_Read.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 45), 14);
                                            textBoxEOCM_BaseModelPartNumber8.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 62), 8);
                                            textBoxEOCM_AppDataID10.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 71), 10);
                                            textBoxEOCM_AppSWID10.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 84), 11);
                                            textBoxEOCM_BootSWID8.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 95), 9);
                                            textBoxEOCM_EndModelPartNumber8.Text = textBoxRESULTS.Text.Substring((EOCM_Result + 105), 10);

                                            buttonEOCM.BackColor = Color.Aquamarine;

                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "EOCM Module Part Number Read Passed" + "\n\r" + "\n\r";

                                            global_variables.EOCM = "PASS";
                                            global_variables.EOCM_BASE_PN = textBoxEOCM_BaseModelPartNumber8.Text;
                                            global_variables.EOCM_END_PN = textBoxEOCM_EndModelPartNumber8.Text;
                                            global_variables.EOCM_BOOT_PN = textBoxEOCM_BootSWID8.Text;
                                            global_variables.EOCM_ASWID_PN = textBoxEOCM_AppSWID10.Text;
                                            global_variables.EOCM_ADATAID_PN = textBoxEOCM_AppDataID10.Text;
                                            global_variables.PN_TIME_READ = TextBox_Time_of_PN_Read.Text;
                                            global_variables.PN_DATE_READ = TextBox_Date_of_PN_Read.Text;



                                        }
                                        else // 0 = No Read
                                        {


                                            textBoxEOCM_AppDataID10.Text = " NO READ ";
                                            textBoxEOCM_AppSWID10.Text = " NO READ ";
                                            textBoxEOCM_BootSWID8.Text = " NO READ ";
                                            textBoxEOCM_EndModelPartNumber8.Text = " NO READ ";
                                            textBoxEOCM_BaseModelPartNumber8.Text = " NO READ ";

                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "EOCM Module Part Number Read Failed.  No EOCM Module Detected" + "\n\r" + "\n\r";

                                            buttonEOCM.BackColor = Color.Orange;

                                        }
                                    }

                                }




                                if (global_variables.SEAT.Contains("YELO"))  // Manual or MOD CODE selected
                                {



                                    //****************************************************************************************
                                    //***** PARSE THE LIN HEATED SEAT SWITCH TEST RESULTS FROM THE (HeatedSeatSwitch.txt) FILE
                                    //****************************************************************************************


                                    // now locate Resault of PN read (0 = No Read) (1 = Able to read all 5 Part Numbers)
                                    LIN_HSS_Result = textBoxRESULTS.Text.IndexOf("Heated Seat LIN, ");
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Location of EOCM Module Part Number Read = " + LIN_HSS_Result + "\n\r" + "\n\r";
                                    LIN_HSS_ResultS = textBoxRESULTS.Text.Substring((LIN_HSS_Result), 32);
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Contents of EOCM Module Part Number Read = " + LIN_HSS_ResultS + "\n\r" + "\n\r";

                                    if (textBoxRESULTS.Text.Contains("LIN HEATED SEAT SWITCH READ DETECTION PASSED"))
                                    {
                                        // Do Nothing
                                    }
                                    else // One Shot
                                    {

                                        if (textBoxRESULTS.Text.Contains("Heated Seat LIN, Payload 15, 0, Payload 35,0")) // Ed Needs to add results or Time and date so I know it is same test as PN checks
                                        {

                                            global_variables.SEAT = "FAIL";
                                            button_LIN_Heated_Seat_Switch.BackColor = Color.Orange;
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "LIN HEATED SEAT SWITCH READ DETECTION Failed.  No LIN Heated Seat Sw. Detected" + "\n\r" + "\n\r";


                                        }
                                        else // One Shot
                                        {

                                            global_variables.SEAT = "PASS";
                                            button_LIN_Heated_Seat_Switch.BackColor = Color.Aquamarine;
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "LIN HEATED SEAT SWITCH READ DETECTION PASSED" + "\n\r" + "\n\r";

                                            global_variables.LIN_SEAT_SW = "PASS";



                                        }
                                    }
                                }




                                if (global_variables.TBS.Contains("YELO"))  // Manual or MOD CODE selected
                                {


                                    //****************************************************************************************
                                    //***** PARSE THE LIN TRAILER SWITCH TEST RESULTS FROM THE (Trailer Switch.txt) FILE
                                    //****************************************************************************************


                                    // now locate Resault of PN read (0 = No Read) (1 = Able to read all 5 Part Numbers)
                                    LIN_TBS_Result = textBoxRESULTS.Text.IndexOf("Trailer Switch LIN, ");
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Location of Trailer Brake Switch LIN,  = " + LIN_TBS_Result + "\n\r" + "\n\r";
                                    LIN_TBS_ResultS = textBoxRESULTS.Text.Substring((LIN_TBS_Result), 32);
                                    textBoxRESULTS.Text = textBoxRESULTS.Text + "Contents of Trailer Brake Switch LIN,  = " + LIN_TBS_ResultS + "\n\r" + "\n\r";

                                    if (textBoxRESULTS.Text.Contains("LIN TRAILER BRAKE SWITCH READ DETECTION PASSED"))
                                    {
                                        // Do Nothing
                                    }
                                    else // One Shot
                                    {

                                        if (textBoxRESULTS.Text.Contains("Trailer Switch LIN, Payload 31, 0, Payload 32, 0")) // Ed Needs to add results or Time and date so I know it is same test as PN checks
                                        {
                                            global_variables.TBS = "FAIL";
                                            button_LIN_TBS.BackColor = Color.Orange;
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "LIN TRAILER BRAKE SWITCH READ DETECTION Failed.  No LIN TRAILER BRAKE SWITCH Detected" + "\n\r" + "\n\r";


                                        }
                                        else // One Shot
                                        {
                                            global_variables.TBS = "PASS";
                                            button_LIN_TBS.BackColor = Color.Aquamarine;
                                            textBoxRESULTS.Text = textBoxRESULTS.Text + "LIN TRAILER BRAKE SWITCH READ DETECTION PASSED" + "\n\r" + "\n\r";

                                            global_variables.LIN_TBS = "PASS";



                                        }
                                    }
                                }


                                // Trial writing test log to file 
                                // string LOGstrFullFIleName = "c:/Android/Data Directory/Default/TestLog.txt";
                                // StreamWriter srFileWriter = new StreamWriter(LOGstrFullFIleName);
                                // srFileWriter.WriteLine(textBoxRESULTS.Text);
                                // srFileWriter.Close();


                                //*******************************************************************************
                                // ******************************************************************************
                                // ******** Trial writing CONSOLE test result file for Larry to TX using Sharp7 
                                //*******************************************************************************
                                //*******************************************************************************

                                string CONSOLE_strFullFIleName = "c:/Android/Data Directory/Default/CONSOLE_TESTER_2.txt";
                                StreamWriter CONSOLE_FileWriter = new StreamWriter(CONSOLE_strFullFIleName);

                                CONSOLE_FileWriter.WriteLine("ETC Console 2,");  // Tester Name(13) ETC Console 2,

                                CONSOLE_FileWriter.WriteLine("06/29/21,"); // Test Date(10)  MM / DD / YEAR,

                                CONSOLE_FileWriter.WriteLine("07:19:00,"); // Cycle Start Time Stamp(8), Military HR.MN.SC,

                                CONSOLE_FileWriter.WriteLine("07:19:45,"); // Cycle Complete Time Stamp(8), Military HR.MN.SC,

                                CONSOLE_FileWriter.WriteLine("0045,"); // Total Cycle Time(seconds)(4), 9999,

                                CONSOLE_FileWriter.WriteLine("0000000355149,"); // Build ID # (10),  0000000355149,

                                CONSOLE_FileWriter.WriteLine("0000004364960,"); // CSN # (13), Sequence #	0000004364960,


                                if (global_variables.WCM.Contains("PASS"))  // Manual or MOD CODE selected
                                {
                                    global_variables.WCM_BASE_PN = global_variables.WCM_BASE_PN.Trim();
                                    global_variables.WCM_END_PN = global_variables.WCM_END_PN.Trim();
                                    global_variables.WCM_BOOT_PN = global_variables.WCM_BOOT_PN.Trim();
                                    global_variables.WCM_ASWID_PN = global_variables.WCM_ASWID_PN.Trim();
                                    global_variables.WCM_ADATAID_PN = global_variables.WCM_ADATAID_PN.Trim();

                                    CONSOLE_FileWriter.WriteLine("2901,"); // MCN MOD CODE
                                    CONSOLE_FileWriter.WriteLine(global_variables.WCM_BASE_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.WCM_END_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.WCM_BOOT_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.WCM_ASWID_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.WCM_ADATAID_PN + ",");
                                }


                                if (global_variables.SIB.Contains("PASS"))  // Manual or MOD CODE selected
                                {
                                    global_variables.SIB_BASE_PN = global_variables.SIB_BASE_PN.Trim();
                                    global_variables.SIB_END_PN = global_variables.SIB_END_PN.Trim();
                                    global_variables.SIB_BOOT_PN = global_variables.SIB_BOOT_PN.Trim();
                                    global_variables.SIB_ASWID_PN = global_variables.SIB_ASWID_PN.Trim();
                                    global_variables.SIB_ADATAID_PN = global_variables.SIB_ADATAID_PN.Trim();

                                    CONSOLE_FileWriter.WriteLine("2701,"); // SIB MOD CODE
                                    CONSOLE_FileWriter.WriteLine(global_variables.SIB_BASE_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.SIB_END_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.SIB_BOOT_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.SIB_ASWID_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.SIB_ADATAID_PN + ",");
                                }


                                if (global_variables.EOCM.Contains("PASS"))  // Manual or MOD CODE selected
                                {
                                    global_variables.EOCM_BASE_PN = global_variables.EOCM_BASE_PN.Trim();
                                    global_variables.EOCM_END_PN = global_variables.EOCM_END_PN.Trim();
                                    global_variables.EOCM_BOOT_PN = global_variables.EOCM_BOOT_PN.Trim();
                                    global_variables.EOCM_ASWID_PN = global_variables.EOCM_ASWID_PN.Trim();
                                    global_variables.EOCM_ADATAID_PN = global_variables.EOCM_ADATAID_PN.Trim();

                                    CONSOLE_FileWriter.WriteLine("3301,"); // EOCM MOD CODE
                                    CONSOLE_FileWriter.WriteLine(global_variables.EOCM_BASE_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.EOCM_END_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.EOCM_BOOT_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.EOCM_ASWID_PN + ",");
                                    CONSOLE_FileWriter.WriteLine(global_variables.EOCM_ADATAID_PN + ",");
                                }


                                CONSOLE_FileWriter.WriteLine("1234,"); // Test 1 Mod Code(4), 1234,

                                CONSOLE_FileWriter.WriteLine("Test Channel 1 * *****,"); // Test 1 Channel Name(20),	Test Channel 1 * *****,	

                                CONSOLE_FileWriter.WriteLine("PASS,"); // Test 1 Result(4), PASS,

                                CONSOLE_FileWriter.WriteLine("12.00,"); // Test 1 Data Volts DC(5), 	12.00,

                                CONSOLE_FileWriter.WriteLine(">= 12.00,"); // Test 1 PASS Voltage Limit >= 12.00,

                                CONSOLE_FileWriter.WriteLine("<= 12.00,"); // Test 1 FAIL Voltage Limit <= 12.00,

                                CONSOLE_FileWriter.WriteLine("******************************,");  // Test 1 Result Comments(30),		******************************,

                                CONSOLE_FileWriter.WriteLine("5678,");   // Test 2 Mod Code(4),	5678,

                                CONSOLE_FileWriter.WriteLine("Test Channel 2 * *****,");  // Test 2 Channel Name(20),	Test Channel 2 * *****,	

                                CONSOLE_FileWriter.WriteLine("PASS,");   // Test 2 Result(4), PASS,

                                CONSOLE_FileWriter.WriteLine("12.00,");   // Test 2 Data Volts DC(5), 12.00,

                                CONSOLE_FileWriter.WriteLine(">= 12.00,");   // Test 2 PASS Voltage Limit >= 12.00,

                                CONSOLE_FileWriter.WriteLine("<= 12.00,");   // Test 2 FAIL Voltage Limit <= 12.00,

                                CONSOLE_FileWriter.WriteLine("******************************,");   // Test 2 Result Comments(30), 	******************************,	

                                CONSOLE_FileWriter.Close();


                                //*******************************************************************************
                                // ******************************************************************************
                                // ******** Trial writing HEADLINER test result file for Larry to TX using Sharp7 
                                //*******************************************************************************
                                //*******************************************************************************

                                string HL_strFullFIleName = "c:/Android/Data Directory/Default/HEADLINER_TESTER_1.txt";
                                StreamWriter HL_FileWriter = new StreamWriter(HL_strFullFIleName);

                                HL_FileWriter.WriteLine("ETC Headlin 1,");  // Tester Name(13) ETC Console 2,

                                HL_FileWriter.WriteLine("06/29/21,"); // Test Date(10)  MM / DD / YEAR,

                                HL_FileWriter.WriteLine("07:19:00,"); // Cycle Start Time Stamp(8), Military HR.MN.SC,

                                HL_FileWriter.WriteLine("07:19:45,"); // Cycle Complete Time Stamp(8), Military HR.MN.SC,

                                HL_FileWriter.WriteLine("0045,"); // Total Cycle Time(seconds)(4), 9999,

                                HL_FileWriter.WriteLine("0000000355149,"); // Build ID # (10),  0000000355149,

                                HL_FileWriter.WriteLine("0000004364960,"); // CSN # (13), Sequence #	0000004364960,

                                HL_FileWriter.WriteLine("1234,"); // Test 1 Mod Code(4), 1234,

                                HL_FileWriter.WriteLine("Test Channel 1 * *****,"); // Test 1 Channel Name(20),	Test Channel 1 * *****,	

                                HL_FileWriter.WriteLine("PASS,"); // Test 1 Result(4), PASS,

                                HL_FileWriter.WriteLine("12.00,"); // Test 1 Data Volts DC(5), 	12.00,

                                HL_FileWriter.WriteLine(">= 12.00,"); // Test 1 PASS Voltage Limit >= 12.00,

                                HL_FileWriter.WriteLine("<= 12.00,"); // Test 1 FAIL Voltage Limit <= 12.00,

                                HL_FileWriter.WriteLine("******************************,");  // Test 1 Result Comments(30),		******************************,

                                HL_FileWriter.WriteLine("5678,");   // Test 2 Mod Code(4),	5678,

                                HL_FileWriter.WriteLine("Test Channel 2 * *****,");  // Test 2 Channel Name(20),	Test Channel 2 * *****,	

                                HL_FileWriter.WriteLine("PASS,");   // Test 2 Result(4), PASS,

                                HL_FileWriter.WriteLine("12.00,");   // Test 2 Data Volts DC(5), 12.00,

                                HL_FileWriter.WriteLine(">= 12.00,");   // Test 2 PASS Voltage Limit >= 12.00,

                                HL_FileWriter.WriteLine("<= 12.00,");   // Test 2 FAIL Voltage Limit <= 12.00,

                                HL_FileWriter.WriteLine("******************************,");   // Test 2 Result Comments(30), 	******************************,	

                                HL_FileWriter.Close();


                                //*****************************************************************************
                                textBoxRESULTS.Text = textBoxRESULTS.Text + "Parsed Multiple.txt files" + "\n\r" + "\n\r";
                                textBoxRESULTS.Text = textBoxRESULTS.Text + "End of Test - Time To Display the Analog Test Form" + "\n\r" + "\n\r";
                                // 
                                //****************************************************************************
                            }   // ************** End of File Parsing Loop 
                                // ***************************************************************************
                        }

                        textBoxRESULTS.Text = textBoxRESULTS.Text + "Cycle Complete" + "\n\r" + "\n\r";

                    }

                }


                // *****************************************************
                // ***** TEST FOR MANUAL RELEASE BUTTON PRESSED ON 55 WAY
                // *****************************************************

                if (Console1) // Console_PIP_55-way
                {

                    // DO NOTHING

                }
                else  // MANUAL RELEASE PRESSED ON 59-WAY ?
                {
                    if (textBoxRESULTS.Text.Contains("55-way Connected"))
                    {
                        // RELEASE BOTH 55-WAY AND 16/16-WAY UNLATCH AND BLOW OFF SINCE IT HAS NO PUSH BUTTON               
                        AIOUSB.DIO_Write1(global_variables.diDIO, 10, 1); // Turn OFF SOL #3   HEADLINER DRAW DOWN BH #1 59-WAY
                        AIOUSB.DIO_Write1(global_variables.diDIO, 9, 1);  // Turn OFF SOL #1   HEADLINER LATCH BH #1 59-WAY
                        AIOUSB.DIO_Write1(global_variables.diDIO, 13, 0); // TURN ON SOL #5   HEADLINER AIR EJECT BH #3 16/16-WAY
                    }
                }




            }// **************************************************************************************************
             // ****************** End of 55 -way Connected Loop***************************************************
             // ***************************************************************************************************



            // ************************************************************************************************************
            //********* Switch Form to Start Analog Test ***********  at End of Test - Time To Display the Analog Test Form
            //*************************************************************************************************************


            if (textBoxRESULTS.Text.Contains("End of Test - Time To Display the Analog Test Form"))
            {
                timerForm3_Connect55_way.Stop();
                //Form1 frm1 = new Form1();
                global_variables.frm1.Show();
            }


        }// **************************************************************************************************
        
        public void frm3FocusMethod()
        {
            //SetWindowPos(global_variables.frm3.Handle, 0, 0, 0, 0, 0, 0x0040);
            //global_variables.frm3.TopMost = true;
                
            ShowWindow(global_variables.pHandle.MainWindowHandle, 7); //SW_SHOWMINNOACTIVE
            //SetActiveWindow(global_variables.frm3.Handle);
            //global_variables.frm3.textBox1.Focus();
        }
        
        public void AppendTextBox(string value)
        {
            if (global_variables.frm3.InvokeRequired)
            {
                global_variables.frm3.Invoke(new Action<string>(AppendTextBox), new object[] { value });
                return;
            }
            global_variables.frm3.textBoxRESULTS.Text += value;
        }

        private void vSpyGatherPartNumber()
        {
            //********************************************************************
            //*********** Start VPY3 by sending the START command with TEXT API
            //********************************************************************
            progressBar1.Value = 0;
            ProcessProperties.StartInfo.UseShellExecute = false;
            ProcessProperties.StartInfo.FileName = "c:\\Program Files (X86)\\Vehicle spy 3\\vspy3.exe";
            ProcessProperties.StartInfo.Arguments = "c:\\Android\\Data Directory\\Default\\Test71.vs3exe";
            ProcessProperties.StartInfo.WindowStyle = ProcessWindowStyle.Minimized; // change to .Hidden
            if (global_variables.pHandle == null)
                global_variables.pHandle = Process.Start(ProcessProperties.StartInfo);

            IPHostEntry IPHost = Dns.Resolve("127.0.0.1");
            // IPHostEntry IPHost = Dns.Resolve(textBox2.Text); 
            //Console.WriteLine(IPHost.HostName);
            string[] aliases = IPHost.Aliases;
            IPAddress[] addr = IPHost.AddressList;
            //Console.WriteLine(addr[0]);
            EndPoint ep = new IPEndPoint(addr[0], 8255);
            sock = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);

            //if (pHandle != null)
            //  if (pHandle.MainWindowHandle != null) 
            //    if (pHandle.Responding)
            //{
            sock.Connect(ep);
            if (sock.Connected)
            {
                //AppendTextBox("Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r");
                //textBoxRESULTS.Text += "Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r";
                //AppendTextBox("Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r");
                //Console.WriteLine("Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r");
            }

            Encoding ASCII = Encoding.ASCII;
            string Get = "start\r\n"; // Abnormal program termination

            Byte[] ByteGet = ASCII.GetBytes(Get);
            sock.Send(ByteGet, ByteGet.Length, 0);
            byte[] RecvBytes = new byte[256];

            Int32 bytes = sock.Receive(RecvBytes, RecvBytes.Length, 0);
            String strRetPage = null;
            strRetPage = strRetPage + ASCII.GetString(RecvBytes, 0, bytes);
            Console.WriteLine(strRetPage); // "ok start"
            //textBoxRESULTS.Text += strRetPage;

            //timerForm3_Connect55_way.Stop();
            //Application.DoEvents();

            timerForm3_Connect55_way.Enabled = true;
            if (global_variables.pHandle != null)
                if (global_variables.pHandle.MainWindowHandle != null)
                {
                    bool status;
                    for (int delay = 0; delay < 160; delay++)
                    {
                        progressBar1.Value = delay * 100 / 210;
                        status = ShowWindow(global_variables.pHandle.MainWindowHandle, 7); //SW_SHOWMINNOACTIVE
                        Thread.Sleep(100);                        
                        global_variables.frm3.Invoke(myDelegate);
                    }
                }
                else Console.WriteLine("null Window handle");
            else Console.WriteLine("null processhandle");

            string GGet = "stop\r\n";

            Byte[] BByteGet = ASCII.GetBytes(GGet);
            sock.Send(BByteGet, BByteGet.Length, 0);
            byte[] RRecvBytes = new byte[256];

            Int32 bbytes = sock.Receive(RecvBytes, RecvBytes.Length, 0);
            String sstrRetPage = null;
            sstrRetPage = sstrRetPage + ASCII.GetString(RecvBytes, 0, bbytes);
            
            Console.WriteLine(sstrRetPage);
            //textBoxRESULTS.Text += sstrRetPage;


            sock.Shutdown(SocketShutdown.Both);
            sock.Close();
            for (int delay=160; delay < 210; delay++)
            {
                progressBar1.Value = delay * 100 /210;
                Thread.Sleep(100);
            }
            AppendTextBox("Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r");
            Console.WriteLine("Used Text API to send START for Spy3 macro" + "\n\r" + "\n\r");
            //timerForm3_Connect55_way.Start();
        }

        // ****************** End of 700 ms Timer Tick Loop *************************************************
        // ***************************************************************************************************


        private void button3_Click_1(object sender, EventArgs e)  // FOR DEMO ONLY!  VIEW RESULTS
        {
            timerForm3_Connect55_way.Stop();
            //Form2 frm2 = new Form2();
            global_variables.frm2.Show();
        }


        private void button4_Click(object sender, EventArgs e) // FOR DEMO ONLY!  START ANALOG TEST
        {
            timerForm3_Connect55_way.Stop();
            //Form1 frm1 = new Form1();
            global_variables.frm1.Show();
        }

        private void buttonWCM_Click(object sender, EventArgs e)
        {

        }

        private void button_LIN_Heated_Seat_Switch_Click(object sender, EventArgs e)
        {

        }

        private void button_LIN_TBS_Click(object sender, EventArgs e)
        {

        }

        private void button5_Click(object sender, EventArgs e)// OPERATOR ABORT TEST CYCLE
        {
            timerForm3_Connect55_way.Stop();
            //Form2 frm2 = new Form2();
            global_variables.frm2.Show();
        }

        private void textBoxRESULTS_TextChanged(object sender, EventArgs e)
        {

        }

        private void Form3_FormClosing(object sender, FormClosingEventArgs e)
        {
        }

        private void ExitButton_Click(object sender, EventArgs e)
        {
            global_variables.Done = true; // TODO: only set to true if developer means it!!
            if (global_variables.pHandle != null) 
                global_variables.pHandle.CloseMainWindow();
            Close();
        }
    }// ********************************************************************************************
     // ****************** End of Form3 Class Loop *************************************************
     // ********************************************************************************************

    

} // *****************************************************
  // End of namespace Sample1 Loop
  // ******************************************************






           


            

            


